(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap15.png", id:"Bitmap15"},
		{src:"images/Bitmap16.png", id:"Bitmap16"},
		{src:"images/Bitmap17.png", id:"Bitmap17"},
		{src:"images/Bitmap18.png", id:"Bitmap18"},
		{src:"images/Bitmap19.png", id:"Bitmap19"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap20.png", id:"Bitmap20"},
		{src:"images/Bitmap21.png", id:"Bitmap21"},
		{src:"images/Bitmap22.png", id:"Bitmap22"},
		{src:"images/Bitmap23.png", id:"Bitmap23"},
		{src:"images/Bitmap24.png", id:"Bitmap24"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"},
		{src:"images/gfx_point.png", id:"gfx_point"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,203,161);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,187,52);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,257,75);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,210,151);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,90,42);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,99,42);


(lib.Bitmap15 = function() {
	this.initialize(img.Bitmap15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,81,42);


(lib.Bitmap16 = function() {
	this.initialize(img.Bitmap16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,119,42);


(lib.Bitmap17 = function() {
	this.initialize(img.Bitmap17);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,144,42);


(lib.Bitmap18 = function() {
	this.initialize(img.Bitmap18);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,148,42);


(lib.Bitmap19 = function() {
	this.initialize(img.Bitmap19);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,177,42);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,210,177);


(lib.Bitmap20 = function() {
	this.initialize(img.Bitmap20);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,132,42);


(lib.Bitmap21 = function() {
	this.initialize(img.Bitmap21);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,78,42);


(lib.Bitmap22 = function() {
	this.initialize(img.Bitmap22);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,94,42);


(lib.Bitmap23 = function() {
	this.initialize(img.Bitmap23);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,61,42);


(lib.Bitmap24 = function() {
	this.initialize(img.Bitmap24);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,116,42);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,206,75);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,103,92);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,140,98);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,115,115);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,112,91);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,93,112);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,170,46);


(lib.gfx_point = function() {
	this.initialize(img.gfx_point);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,53,53);


(lib.gfx_point_mc = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.gfx_point();
	this.instance.setTransform(-50,-50,1.887,1.887);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-50,-50,100,100);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Sortowanie */
		var config = {
			id: '22085',
			title: 'Połącz obrazki z nazwami.',
			type: 'rope',
			container: this,
			/*
			groupdrags: {		
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/
			prefix: 'drag_',
			prefix2: 'drop_',
			prefix3: 'ropepoint_',
			prefix4: 'rope_',
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '2',
				/*drop_3:*/ '3',
				/*drop_4:*/ '4',	
				/*drop_5:*/ '5',	
				/*drop_6:*/ '6',	
				/*drop_7:*/ '7',	
				/*drop_8:*/ '8',	
				/*drop_9:*/ '9',	
				/*drop_10:*/ '10',	
				/*drop_11:*/ '11',	
				/*drop_12:*/ '12',	
			],
			range: 100,
			alpha: 1,
			alpha2: 1,
			//scale: 0.8,
			//zindex: 0
			color: '#FFCC00',
			stroke: 10,
			
			exerciseAfterInit: function (container) {
			},
			exerciseBeforeFinish: function(container) {		
			},
			exerciseExtraCheck: function(container) {		
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/* Help */
		
		/* 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groups - Lista grup oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		scale - Skalowanie obiektu po upuszczeniu
		zindex - Warstwa obiektu
		*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// drag
	this.drag_11 = new lib.gfx_point_mc();
	this.drag_11.setTransform(1083.7,149.1,0.338,0.338);
	this.drag_11.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_11.cache(-52,-52,104,104);

	this.drag_10 = new lib.gfx_point_mc();
	this.drag_10.setTransform(949.8,322,0.338,0.338);
	this.drag_10.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_10.cache(-52,-52,104,104);

	this.drag_12 = new lib.gfx_point_mc();
	this.drag_12.setTransform(640.7,501,0.338,0.338);
	this.drag_12.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_12.cache(-52,-52,104,104);

	this.drop_12 = new lib.gfx_point_mc();
	this.drop_12.setTransform(630.3,77.7,0.338,0.338);

	this.ropepoint_12 = new lib.gfx_point_mc();
	this.ropepoint_12.setTransform(640.7,501,0.338,0.338);

	this.drag_9 = new lib.gfx_point_mc();
	this.drag_9.setTransform(146.8,462,0.338,0.338);
	this.drag_9.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_9.cache(-52,-52,104,104);

	this.ropepoint_11 = new lib.gfx_point_mc();
	this.ropepoint_11.setTransform(1083.7,149.1,0.338,0.338);

	this.drop_11 = new lib.gfx_point_mc();
	this.drop_11.setTransform(1161.3,310.7,0.338,0.338);

	this.ropepoint_10 = new lib.gfx_point_mc();
	this.ropepoint_10.setTransform(949.8,322,0.338,0.338);

	this.drop_10 = new lib.gfx_point_mc();
	this.drop_10.setTransform(734.4,464.7,0.338,0.338);

	this.ropepoint_9 = new lib.gfx_point_mc();
	this.ropepoint_9.setTransform(146.8,462,0.338,0.338);

	this.drop_9 = new lib.gfx_point_mc();
	this.drop_9.setTransform(225.4,548.6,0.338,0.338);

	this.instance = new lib.Bitmap22();
	this.instance.setTransform(936.3,617.1);

	this.instance_1 = new lib.Bitmap21();
	this.instance_1.setTransform(787.8,360.1);

	this.drag_8 = new lib.gfx_point_mc();
	this.drag_8.setTransform(489.8,677,0.338,0.338);
	this.drag_8.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_8.cache(-52,-52,104,104);

	this.drag_7 = new lib.gfx_point_mc();
	this.drag_7.setTransform(1124.7,583,0.338,0.338);
	this.drag_7.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_7.cache(-52,-52,104,104);

	this.drag_6 = new lib.gfx_point_mc();
	this.drag_6.setTransform(814.7,180.1,0.338,0.338);
	this.drag_6.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_6.cache(-52,-52,104,104);

	this.ropepoint_8 = new lib.gfx_point_mc();
	this.ropepoint_8.setTransform(489.8,677,0.338,0.338);

	this.drop_8 = new lib.gfx_point_mc();
	this.drop_8.setTransform(821.3,639.6,0.338,0.338);

	this.ropepoint_7 = new lib.gfx_point_mc();
	this.ropepoint_7.setTransform(1124.7,583,0.338,0.338);

	this.drop_7 = new lib.gfx_point_mc();
	this.drop_7.setTransform(983.4,676.6,0.338,0.338);

	this.ropepoint_6 = new lib.gfx_point_mc();
	this.ropepoint_6.setTransform(814.7,180.1,0.338,0.338);

	this.drop_6 = new lib.gfx_point_mc();
	this.drop_6.setTransform(826.3,347.6,0.338,0.338);

	this.drag_5 = new lib.gfx_point_mc();
	this.drag_5.setTransform(693.7,285.1,0.338,0.338);
	this.drag_5.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_5.cache(-52,-52,104,104);

	this.drag_4 = new lib.gfx_point_mc();
	this.drag_4.setTransform(489.3,197.1,0.338,0.338);
	this.drag_4.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_4.cache(-52,-52,104,104);

	this.drag_3 = new lib.gfx_point_mc();
	this.drag_3.setTransform(164,196.1,0.338,0.338);
	this.drag_3.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_3.cache(-52,-52,104,104);

	this.drag_2 = new lib.gfx_point_mc();
	this.drag_2.setTransform(858,513,0.338,0.338);
	this.drag_2.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_2.cache(-52,-52,104,104);

	this.drag_1 = new lib.gfx_point_mc();
	this.drag_1.setTransform(498.3,458,0.338,0.338);
	this.drag_1.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_1.cache(-52,-52,104,104);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drag_1},{t:this.drag_2},{t:this.drag_3},{t:this.drag_4},{t:this.drag_5},{t:this.drop_6},{t:this.ropepoint_6},{t:this.drop_7},{t:this.ropepoint_7},{t:this.drop_8},{t:this.ropepoint_8},{t:this.drag_6},{t:this.drag_7},{t:this.drag_8},{t:this.instance_1},{t:this.instance},{t:this.drop_9},{t:this.ropepoint_9},{t:this.drop_10},{t:this.ropepoint_10},{t:this.drop_11},{t:this.ropepoint_11},{t:this.drag_9},{t:this.ropepoint_12},{t:this.drop_12},{t:this.drag_12},{t:this.drag_10},{t:this.drag_11}]}).wait(1));

	// rope
	this.ropepoint_5 = new lib.gfx_point_mc();
	this.ropepoint_5.setTransform(693.7,285.1,0.338,0.338);

	this.ropepoint_4 = new lib.gfx_point_mc();
	this.ropepoint_4.setTransform(489.3,197.1,0.338,0.338);

	this.ropepoint_3 = new lib.gfx_point_mc();
	this.ropepoint_3.setTransform(164,196.1,0.338,0.338);

	this.ropepoint_2 = new lib.gfx_point_mc();
	this.ropepoint_2.setTransform(858,513,0.338,0.338);

	this.ropepoint_1 = new lib.gfx_point_mc();
	this.ropepoint_1.setTransform(498.3,458,0.338,0.338);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.ropepoint_1},{t:this.ropepoint_2},{t:this.ropepoint_3},{t:this.ropepoint_4},{t:this.ropepoint_5}]}).wait(1));

	// drop
	this.drop_5 = new lib.gfx_point_mc();
	this.drop_5.setTransform(436.3,546.6,0.338,0.338);

	this.drop_4 = new lib.gfx_point_mc();
	this.drop_4.setTransform(347.4,98.7,0.338,0.338);

	this.drop_3 = new lib.gfx_point_mc();
	this.drop_3.setTransform(554.4,287.7,0.338,0.338);

	this.drop_2 = new lib.gfx_point_mc();
	this.drop_2.setTransform(112.5,646.6,0.338,0.338);

	this.drop_1 = new lib.gfx_point_mc();
	this.drop_1.setTransform(355.3,345.6,0.338,0.338);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drop_1},{t:this.drop_2},{t:this.drop_3},{t:this.drop_4},{t:this.drop_5}]}).wait(1));

	// content
	this.instance_2 = new lib.Bitmap24();
	this.instance_2.setTransform(1101.1,322.6);

	this.instance_3 = new lib.Bitmap23();
	this.instance_3.setTransform(790.4,581.1);

	this.instance_4 = new lib.Bitmap20();
	this.instance_4.setTransform(674.2,407.6);

	this.instance_5 = new lib.Bitmap19();
	this.instance_5.setTransform(541.8,19.1);

	this.instance_6 = new lib.Bitmap18();
	this.instance_6.setTransform(482.5,231.1);

	this.instance_7 = new lib.Bitmap17();
	this.instance_7.setTransform(358,489.1);

	this.instance_8 = new lib.Bitmap16();
	this.instance_8.setTransform(170.8,559.1);

	this.instance_9 = new lib.Bitmap15();
	this.instance_9.setTransform(69.4,589.1);

	this.instance_10 = new lib.Bitmap14();
	this.instance_10.setTransform(305.8,285.5);

	this.instance_11 = new lib.Bitmap13();
	this.instance_11.setTransform(305,39.1);

	this.instance_12 = new lib.Bitmap12();
	this.instance_12.setTransform(1007.6,415);

	this.instance_13 = new lib.Bitmap11();
	this.instance_13.setTransform(961.7,50.8);

	this.instance_14 = new lib.Bitmap10();
	this.instance_14.setTransform(856.7,244);

	this.instance_15 = new lib.Bitmap9();
	this.instance_15.setTransform(756.7,451.3);

	this.instance_16 = new lib.Bitmap8();
	this.instance_16.setTransform(614.6,502.5);

	this.instance_17 = new lib.Bitmap7();
	this.instance_17.setTransform(645.3,174.7);

	this.instance_18 = new lib.Bitmap6();
	this.instance_18.setTransform(762.8,43.9);

	this.instance_19 = new lib.Bitmap5();
	this.instance_19.setTransform(410.3,80);

	this.instance_20 = new lib.Bitmap4();
	this.instance_20.setTransform(451.7,340.6);

	this.instance_21 = new lib.Bitmap3();
	this.instance_21.setTransform(376.4,579.3);

	this.instance_22 = new lib.Bitmap2();
	this.instance_22.setTransform(43.8,259.9);

	this.instance_23 = new lib.Bitmap1();
	this.instance_23.setTransform(78.3,39.3);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_23},{t:this.instance_22},{t:this.instance_21},{t:this.instance_20},{t:this.instance_19},{t:this.instance_18},{t:this.instance_17},{t:this.instance_16},{t:this.instance_15},{t:this.instance_14},{t:this.instance_13},{t:this.instance_12},{t:this.instance_11},{t:this.instance_10},{t:this.instance_9},{t:this.instance_8},{t:this.instance_7},{t:this.instance_6},{t:this.instance_5},{t:this.instance_4},{t:this.instance_3},{t:this.instance_2}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(43.8,19.1,1174.9,674.8);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.6,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(683.9,379.1,1174.9,674.8);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;